package com.yizhi.exam.application.vo;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "ExamOnlineReadOverVo", description = "")
@Data
public class ExamOnlineReadOverVo {

	@ApiModelProperty(value = "阅卷ID")
	private Long readOverId;

	@ApiModelProperty(value = "用户id")
	private Long accountId;

	@ApiModelProperty(value = "用户名")
	private String username;

	@ApiModelProperty(value = "姓名")
	private String name;

	@ApiModelProperty(value = "部门")
	private String depart;

	@ApiModelProperty(value = "状态:0删除 1待阅卷 2已阅卷 3重新阅卷 默认1")
	private Integer state;

	@ApiModelProperty(value = "总分")
	private BigDecimal sumScore;

	@ApiModelProperty(value = "客观题得分")
	private BigDecimal objectiveScore;

	@ApiModelProperty(value = "主观题得分")
	private BigDecimal subjectiveScore;
}
